MeasurementDAO (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.measurement.server.session.MeasurementDAO class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.measurement.server.session
Class MeasurementDAO

    java.lang.Object
      org.hyperic.hq.dao.HibernateDAO
          org.hyperic.hq.measurement.server.session.MeasurementDAO

    public class MeasurementDAO

extends HibernateDAO

Field Summary

Fields inherited from class org.hyperic.hq.dao.HibernateDAO
`BATCH_SIZE`

Constructor Summary
`MeasurementDAO(DAOFactory f)`

Method Summary
`Measurement` | `findById(java.lang.Integer id)`
`java.util.List` | `findByTemplatesForInstance(java.lang.Integer[] tids, Resource res)`
`java.util.List` | `findEnabledByResource(Resource resource)`
`java.util.Map` | `findEnabledByResources(java.util.List resources)`
`Measurement` | `get(java.lang.Integer id)`
`void` | `removeBaseline(Measurement m)`

Methods inherited from class org.hyperic.hq.dao.HibernateDAO
`cacheFindAll, createCriteria, createQuery, findAll, findAllOrderByName, findById, findById, flushSession, get, getFactory, getPagedResult, getPagedResult, getPermissionManager, getPersistentClass, getSession, remove, save, size, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MeasurementDAO

    public MeasurementDAO(DAOFactory f)

Method Detail

### findById

    public Measurement findById(java.lang.Integer id)

### get

    public Measurement get(java.lang.Integer id)

### removeBaseline

    public void removeBaseline(Measurement m)

### findByTemplatesForInstance

    public java.util.List findByTemplatesForInstance(java.lang.Integer[] tids,
                                                     Resource res)

### findEnabledByResources

    public java.util.Map findEnabledByResources(java.util.List resources)

  Parameters:
    `{@link` - Collection} of `Resource`s
  Returns:
    `Map` of `Integer` representing resourceId to `List` of `Measurement`s

### findEnabledByResource

    public java.util.List findEnabledByResource(Resource resource)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.